---
search:
  tags:
    - Wallets
    - POST
seo:
  description: >-
    Points wallets only. Reference for the POST /wallets/{id}/register_purchase
    endpoint in the Bolder API v2.
sidebar:
  label: Register points earned from a completed purchase
  badge: POST
title: Register points earned from a completed purchase
type: openapi-operation
---
Points wallets only.

`POST /wallets/{id}/register_purchase`

**Request body** (`application/json`, required)

- `reference_code` (string, required)
- `order_amount` (integer, required)
- `description` (string, required)
- `campaign_id` (integer)
- `shop_id` (string)

Request body example:

```json
{
  "reference_code": "order-9001",
  "order_amount": 25000,
  "description": "Points earned on order #9001"
}
```

**Responses**

- `200` — Points registered
- `422` — A transfer for this reference\_code already exists, or the program's points divider is misconfigured

Response example, 200:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "direction": "incoming",
  "state": "pending",
  "amount": 0,
  "original_amount": 0,
  "description": "string",
  "reference_code": "string",
  "payment_method": "string",
  "shop_id": "string",
  "wallet_id": 0,
  "balance_expires_at": "2019-08-24T14:15:22Z",
  "created_on": "2019-08-24T14:15:22Z"
}
```
